function ViewModel() {
    "use strict";
    var self = this;
    self.pilot = ko.observable(new Pilot({id:-1,name:"",transponderToken:-1, imageUrl:"",thingyName:"",teamName:""}));
    self.editForm = $("#editPilot");
    self.pilotId = $("[name='Id']", self.editForm).val();
    $.get("/api/pilot/" + self.pilotId, {}
        , function(data) {
            self.pilot(new Pilot(data));
        })
        .done(function(a) {
            console.log(self.pilot());
        });

    //self.getData = function () {
    //    $.get("/api/pilots", {}, self.pilotsList);
    //};
};

ViewModel.prototype.dispose = function () {
    "use strict";
};
ko.applyBindings(new ViewModel());